<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tower Attack: entities.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tower Attack
   </div>
   <div id="projectbrief">A simple console game</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">entities.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef V1_1_ENTITIES_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define V1_1_ENTITIES_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;iostream&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &lt;list&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;coords.h&quot;</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;config.h&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//front declarations</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">class </span><a class="code" href="classCAttacker.html">CAttacker</a>;</div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">class </span><a class="code" href="classCWarrior.html">CWarrior</a>;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">class </span><a class="code" href="classCMedic.html">CMedic</a>;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">class </span><a class="code" href="classCArtillery.html">CArtillery</a>;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">using namespace </span><a class="code" href="namespacestd.html">std</a>;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="classCEntity.html">   17</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCEntity.html">CEntity</a> {</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="classCEntity.html#a9ab2d129368e2d3acfec883129439e1c">   20</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classCEntity.html#a9ab2d129368e2d3acfec883129439e1c">discover</a>      ( )<span class="keyword"> const </span>{<span class="keywordflow">return</span> <span class="keyword">false</span>;};</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> print         ( ostream &amp; os ) <span class="keyword">const</span> = 0;  </div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classCEntity.html#a5bedcc5d44f5b4a65d8abd8bc7766588">   22</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classCEntity.html#a5bedcc5d44f5b4a65d8abd8bc7766588">isPath</a>        ( )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="keyword">false</span>;}   </div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    <span class="keyword">virtual</span> ~<a class="code" href="classCEntity.html">CEntity</a>() = <span class="keywordflow">default</span>;                           </div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;};</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classCTower.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCTower.html">CTower</a> : <span class="keyword">public</span> <a class="code" href="classCEntity.html">CEntity</a>{</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;            <a class="code" href="classCTower.html">CTower</a>  ( <span class="keywordtype">char</span> symbol, <span class="keyword">const</span> <span class="keywordtype">string</span> &amp; name, <span class="keywordtype">int</span> hp, <span class="keywordtype">int</span> attack, <span class="keywordtype">int</span> range, <span class="keywordtype">int</span> parentID );</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keyword">virtual</span> ~<a class="code" href="classCTower.html">CTower</a>() = <span class="keywordflow">default</span>;                                           </div><div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classCTower.html#a276726c55954b273f6b25e6ef749b01d">   33</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classCTower.html#a276726c55954b273f6b25e6ef749b01d">print</a>         ( ostream &amp; os )<span class="keyword">  const </span>{ os &lt;&lt; m_symbol; } </div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> printDetails  ( ostream &amp; os )  <span class="keyword">const</span>;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="keywordtype">void</span>         save          ( ofstream &amp; ofs) <span class="keyword">const</span>;</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keywordtype">void</span>         setPos        ( <a class="code" href="structTCoord.html">TCoord</a> pos ) { m_pos = pos;}       </div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="classCTower.html#a682eee406b527e183153ca7b9ef74301">   37</a></span>&#160;    <a class="code" href="structTCoord.html">TCoord</a>       <a class="code" href="classCTower.html#a682eee406b527e183153ca7b9ef74301">position</a>      ( )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_pos;}           </div><div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classCTower.html#af75495fa398d62acb73f336de801c402">   38</a></span>&#160;    <span class="keywordtype">int</span>          <a class="code" href="classCTower.html#af75495fa398d62acb73f336de801c402">getHp</a>         ( )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_hp; }           </div><div class="line"><a name="l00039"></a><span class="lineno"><a class="line" href="classCTower.html#a19b4b2e8b3bee08db6c8c206a8616653">   39</a></span>&#160;    <span class="keywordtype">int</span>          <a class="code" href="classCTower.html#a19b4b2e8b3bee08db6c8c206a8616653">setHp</a>         (<span class="keywordtype">int</span> hp) { m_hp = hp; <span class="keywordflow">return</span> m_hp; } </div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> defend        ( <a class="code" href="classCAttacker.html">CAttacker</a> &amp; src );</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> defend        ( <a class="code" href="classCWarrior.html">CWarrior</a> &amp; src );</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> attack        ( <a class="code" href="classCAttacker.html">CAttacker</a> &amp; dst );</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keywordtype">int</span>          getAttack     ()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_attack;}         </div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> hasInRange    ( <span class="keyword">const</span> <a class="code" href="structTCoord.html">TCoord</a> &amp; src ) <span class="keyword">const</span> ;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classCTower.html">CTower</a> *  clone    ( ) <span class="keyword">const</span> = 0;                       </div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keyword">friend</span> ostream &amp; operator &lt;&lt; ( ostream &amp; os, <span class="keyword">const</span> <a class="code" href="classCTower.html">CTower</a> &amp; tower );</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <a class="code" href="structTCoord.html">TCoord</a>  m_pos;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <span class="keywordtype">char</span>    m_symbol;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keywordtype">string</span>  m_name;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keywordtype">int</span>     m_hp;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordtype">int</span>     m_attack;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keywordtype">int</span>     m_range;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordtype">int</span>     m_parentID;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;};</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="classCAttacker.html">   60</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCAttacker.html">CAttacker</a>: <span class="keyword">public</span> <a class="code" href="classCEntity.html">CEntity</a>{</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;            <a class="code" href="classCAttacker.html">CAttacker</a>  ( <span class="keywordtype">char</span> symbol, <span class="keyword">const</span> <span class="keywordtype">string</span> &amp; name, <span class="keywordtype">int</span> hp,</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;                         <span class="keywordtype">int</span> attack, <span class="keywordtype">int</span> range, <span class="keywordtype">int</span> speed, <span class="keywordtype">int</span> parentID);</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    <span class="keyword">virtual</span> ~<a class="code" href="classCAttacker.html">CAttacker</a>() = <span class="keywordflow">default</span>;                                         </div><div class="line"><a name="l00065"></a><span class="lineno"><a class="line" href="classCAttacker.html#a6887b2124aa6480e067bbf928a718142">   65</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classCAttacker.html#a6887b2124aa6480e067bbf928a718142">print</a>         ( ostream &amp; os )<span class="keyword"> const </span>{ os &lt;&lt; m_symbol; }   </div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> printDetails  ( ostream &amp; os ) <span class="keyword">const</span>;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    <span class="keywordtype">void</span>         setPath       ( <span class="keyword">const</span> list &lt;TCoord&gt; &amp;path );</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keywordtype">void</span>         setEntrance   (<span class="keywordtype">int</span> entranceIdx) { m_entranceID = entranceIdx; } </div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordtype">bool</span>         move          ( );</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    <span class="keywordtype">void</span>         save          ( ofstream &amp; ofs ) <span class="keyword">const</span> ;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <a class="code" href="structTCoord.html">TCoord</a>       nextMove      ( <span class="keywordtype">int</span> maxSpeed );</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;    <a class="code" href="structTCoord.html">TCoord</a>       position      ( )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_pos;}           </div><div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="classCAttacker.html#a7b0fb16fc8285e01ee8f7cedc5343571">   73</a></span>&#160;    <span class="keywordtype">char</span>         <a class="code" href="classCAttacker.html#a7b0fb16fc8285e01ee8f7cedc5343571">symbol</a>        ( )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_symbol;}        </div><div class="line"><a name="l00074"></a><span class="lineno"><a class="line" href="classCAttacker.html#a84a16391de74e89f0cbba0b134f1cd90">   74</a></span>&#160;    <span class="keywordtype">int</span>          <a class="code" href="classCAttacker.html#a84a16391de74e89f0cbba0b134f1cd90">speed</a>         ( )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_speed;}         </div><div class="line"><a name="l00075"></a><span class="lineno"><a class="line" href="classCAttacker.html#a5d1bd8010d5f5628dd4a0bd8a973a3bb">   75</a></span>&#160;    <span class="keywordtype">void</span>         <a class="code" href="classCAttacker.html#a5d1bd8010d5f5628dd4a0bd8a973a3bb">resetSpeedCnt</a> ( )       { m_speedCnt = 0;}         </div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> hasInRange    ( <span class="keyword">const</span> <a class="code" href="structTCoord.html">TCoord</a> &amp; src ) <span class="keyword">const</span>;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> defend        ( <a class="code" href="classCTower.html">CTower</a> &amp; src );</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> defend        ( <a class="code" href="classCMedic.html">CMedic</a> &amp; src );</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> attack        ( <a class="code" href="classCTower.html">CTower</a> &amp; dst );</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> defend        ( <a class="code" href="classCArtillery.html">CArtillery</a> &amp; src );</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    <span class="keywordtype">int</span>          getAttack     ()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_attack;}         </div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="classCAttacker.html#a2fda02cade366510afb500d22143b558">   82</a></span>&#160;    <span class="keywordtype">int</span>          <a class="code" href="classCAttacker.html#a2fda02cade366510afb500d22143b558">getHp</a>         ()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_hp; }            </div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="classCAttacker.html#ab8640dff4a1129c25c59af1f217995fb">   83</a></span>&#160;    <span class="keywordtype">int</span>          <a class="code" href="classCAttacker.html#ab8640dff4a1129c25c59af1f217995fb">setHp</a>         (<span class="keywordtype">int</span> hp) { m_hp = hp; <span class="keywordflow">return</span> m_hp; } </div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classCAttacker.html">CAttacker</a> *  clone ( ) <span class="keyword">const</span> = 0;                       </div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;    <span class="keyword">friend</span> ostream &amp;operator&lt;&lt;(ostream &amp;os, <span class="keyword">const</span> <a class="code" href="classCAttacker.html">CAttacker</a> &amp;attacker);</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <a class="code" href="structTCoord.html">TCoord</a>                       m_pos;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    list&lt;TCoord&gt;                 m_pathToEnd;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    list&lt;TCoord&gt;::const_iterator m_pathIt;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <span class="keywordtype">char</span>    m_symbol;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keywordtype">string</span>  m_name;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keywordtype">int</span>     m_hp;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keywordtype">int</span>     m_attack;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keywordtype">int</span>     m_range;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keywordtype">int</span>     m_speed;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <span class="keywordtype">int</span>     m_speedCnt;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordtype">int</span>     m_parentID;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="keywordtype">int</span>     m_steps;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    <span class="keywordtype">int</span>     m_entranceID;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;};</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno"><a class="line" href="classCWall.html">  103</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCWall.html">CWall</a> : <span class="keyword">public</span> <a class="code" href="classCEntity.html">CEntity</a>{</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        <a class="code" href="classCWall.html">CWall</a> ( <span class="keywordtype">char</span> x ) : m_symbol (x){}</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> print         ( ostream &amp; os ) <span class="keyword">const</span>;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <span class="keywordtype">char</span> m_symbol;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;};</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno"><a class="line" href="classCPath.html">  112</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCPath.html">CPath</a> : <span class="keyword">public</span> <a class="code" href="classCEntity.html">CEntity</a>{</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <a class="code" href="classCPath.html">CPath</a> ( <span class="keywordtype">char</span> x ) : m_symbol (x){}</div><div class="line"><a name="l00115"></a><span class="lineno"><a class="line" href="classCPath.html#abb6e40a54bb901886ed51cd0739dd701">  115</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classCPath.html#abb6e40a54bb901886ed51cd0739dd701">discover</a>      ( )<span class="keyword"> const override </span>{ <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div><div class="line"><a name="l00116"></a><span class="lineno"><a class="line" href="classCPath.html#ae70ae5cacfe2d0dfe9095e581fe41a9c">  116</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classCPath.html#ae70ae5cacfe2d0dfe9095e581fe41a9c">isPath</a>        ( )<span class="keyword"> const override </span>{ <span class="keywordflow">return</span> <span class="keyword">true</span>;}</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> print         ( ostream &amp; os )<span class="keyword"> const override </span>{ os &lt;&lt; m_symbol; } </div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00119"></a><span class="lineno"><a class="line" href="classCPath.html#a6185acc40fbabff6fa52c7ac29cb59f2">  119</a></span>&#160;    <span class="keywordtype">char</span> <a class="code" href="classCPath.html#a6185acc40fbabff6fa52c7ac29cb59f2">m_symbol</a>;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;};</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno"><a class="line" href="classCFreeSpace.html">  124</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCFreeSpace.html">CFreeSpace</a> : <span class="keyword">public</span> <a class="code" href="classCEntity.html">CEntity</a>{</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <a class="code" href="classCFreeSpace.html">CFreeSpace</a> ( <span class="keywordtype">char</span> x ) : m_symbol (x){}</div><div class="line"><a name="l00127"></a><span class="lineno"><a class="line" href="classCFreeSpace.html#a81540d81cabf08d842b9dafcff39ea07">  127</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classCFreeSpace.html#a81540d81cabf08d842b9dafcff39ea07">discover</a>      ( )<span class="keyword">              const override </span>{ <span class="keywordflow">return</span> <span class="keyword">true</span>; }</div><div class="line"><a name="l00129"></a><span class="lineno"><a class="line" href="classCFreeSpace.html#a401595ebeb913f6242a96244e62b8088">  129</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classCFreeSpace.html#a401595ebeb913f6242a96244e62b8088">print</a>         ( ostream &amp; os )<span class="keyword"> const override </span>{ os &lt;&lt; m_symbol; }</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    <span class="keywordtype">char</span> m_symbol;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;};</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00135"></a><span class="lineno"><a class="line" href="classCEntrance.html">  135</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCEntrance.html">CEntrance</a> : <span class="keyword">public</span> <a class="code" href="classCEntity.html">CEntity</a>{</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    <a class="code" href="classCEntrance.html">CEntrance</a> ( <span class="keywordtype">char</span> x, <span class="keywordtype">int</span> row, <span class="keywordtype">int</span> col ) : m_symbol (x), m_row (row), m_col (col){}</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> print         ( ostream &amp; os )<span class="keyword"> const           </span>{ os &lt;&lt; m_symbol; }</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;            <span class="keywordtype">void</span> setPath       ( <span class="keyword">const</span> list &lt; TCoord &gt; &amp; path ) { m_pathToEnd = path; }</div><div class="line"><a name="l00141"></a><span class="lineno"><a class="line" href="classCEntrance.html#ae83395782a975cd21708d8113243f3b5">  141</a></span>&#160;    <span class="keyword">const</span> list &lt; TCoord &gt; &amp; <a class="code" href="classCEntrance.html#ae83395782a975cd21708d8113243f3b5">getPath</a>  ( )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_pathToEnd; }</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;            <span class="keywordtype">int</span>             row      ( )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_row;} </div><div class="line"><a name="l00143"></a><span class="lineno"><a class="line" href="classCEntrance.html#ac48c62ffb0ce4c8d2380513f66534084">  143</a></span>&#160;            <span class="keywordtype">int</span>             <a class="code" href="classCEntrance.html#ac48c62ffb0ce4c8d2380513f66534084">col</a>      ( )<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_col;} </div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00145"></a><span class="lineno"><a class="line" href="classCEntrance.html#a63934cc23035d6a571042561e19dd436">  145</a></span>&#160;    <span class="keywordtype">char</span> <a class="code" href="classCEntrance.html#a63934cc23035d6a571042561e19dd436">m_symbol</a>;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <span class="keywordtype">int</span>  m_row;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    <span class="keywordtype">int</span>  m_col;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    list &lt; TCoord &gt; m_pathToEnd;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;};</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div><div class="line"><a name="l00152"></a><span class="lineno"><a class="line" href="classCExit.html">  152</a></span>&#160;<span class="keyword">class </span><a class="code" href="classCExit.html">CExit</a> : <span class="keyword">public</span> <a class="code" href="classCEntity.html">CEntity</a> {</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    <a class="code" href="classCExit.html">CExit</a>( <span class="keywordtype">char</span> x, <span class="keywordtype">int</span> row, <span class="keywordtype">int</span> col ) : m_symbol (x), m_pos(row,col){}</div><div class="line"><a name="l00155"></a><span class="lineno"><a class="line" href="classCExit.html#a0a70f0306c2c94b6df3bdbf0f395e479">  155</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="classCExit.html#a0a70f0306c2c94b6df3bdbf0f395e479">discover</a>      ( )<span class="keyword">  const override </span>{ <span class="keywordflow">return</span> <span class="keyword">true</span>;}      </div><div class="line"><a name="l00156"></a><span class="lineno"><a class="line" href="classCExit.html#a235bbec316d6e9a5cfa3eb74e5df051a">  156</a></span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classCExit.html#a235bbec316d6e9a5cfa3eb74e5df051a">print</a>(ostream &amp;os)<span class="keyword"> const override </span>{ os &lt;&lt; m_symbol; }  </div><div class="line"><a name="l00157"></a><span class="lineno"><a class="line" href="classCExit.html#a71b8507caa187b7017a64657f462f2d8">  157</a></span>&#160;    <a class="code" href="structTCoord.html">TCoord</a>       <a class="code" href="classCExit.html#a71b8507caa187b7017a64657f462f2d8">position</a>      ( )<span class="keyword">  const </span>{ <span class="keywordflow">return</span> m_pos;}              </div><div class="line"><a name="l00158"></a><span class="lineno"><a class="line" href="classCExit.html#a6326bc9332022fce68f8ec0b847a9166">  158</a></span>&#160;            <span class="keywordtype">int</span>  <a class="code" href="classCExit.html#a6326bc9332022fce68f8ec0b847a9166">row</a>           ( )<span class="keyword">  const </span>{ <span class="keywordflow">return</span> m_pos.t_row;}        </div><div class="line"><a name="l00159"></a><span class="lineno"><a class="line" href="classCExit.html#a217a5b54be686f5328c5a13b601a90d6">  159</a></span>&#160;            <span class="keywordtype">int</span>  <a class="code" href="classCExit.html#a217a5b54be686f5328c5a13b601a90d6">col</a>           ( )<span class="keyword">  const </span>{ <span class="keywordflow">return</span> m_pos.t_col;}        </div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00161"></a><span class="lineno"><a class="line" href="classCExit.html#a340ed09d7f7cd1b6b0cc639cd3d59415">  161</a></span>&#160;    <span class="keywordtype">char</span> <a class="code" href="classCExit.html#a340ed09d7f7cd1b6b0cc639cd3d59415">m_symbol</a>;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    <a class="code" href="structTCoord.html">TCoord</a> m_pos;</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;};</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;<span class="preprocessor">#endif //V1_1_ENTITIES_H</span></div><div class="ttc" id="classCExit_html_a0a70f0306c2c94b6df3bdbf0f395e479"><div class="ttname"><a href="classCExit.html#a0a70f0306c2c94b6df3bdbf0f395e479">CExit::discover</a></div><div class="ttdeci">virtual bool discover() const override</div><div class="ttdoc">Returns whether the field is discoverable ( if it&amp;#39;s either free space or path ) </div><div class="ttdef"><b>Definition:</b> entities.h:155</div></div>
<div class="ttc" id="classCPath_html"><div class="ttname"><a href="classCPath.html">CPath</a></div><div class="ttdoc">represents the path where attackers are moving </div><div class="ttdef"><b>Definition:</b> entities.h:112</div></div>
<div class="ttc" id="classCTower_html"><div class="ttname"><a href="classCTower.html">CTower</a></div><div class="ttdoc">Tower is one of the main game objects, it can attack and defend itself from other attackers...</div><div class="ttdef"><b>Definition:</b> entities.h:29</div></div>
<div class="ttc" id="namespacestd_html"><div class="ttname"><a href="namespacestd.html">std</a></div></div>
<div class="ttc" id="classCExit_html_a217a5b54be686f5328c5a13b601a90d6"><div class="ttname"><a href="classCExit.html#a217a5b54be686f5328c5a13b601a90d6">CExit::col</a></div><div class="ttdeci">int col() const</div><div class="ttdoc">returns row coord </div><div class="ttdef"><b>Definition:</b> entities.h:159</div></div>
<div class="ttc" id="classCAttacker_html_a7b0fb16fc8285e01ee8f7cedc5343571"><div class="ttname"><a href="classCAttacker.html#a7b0fb16fc8285e01ee8f7cedc5343571">CAttacker::symbol</a></div><div class="ttdeci">char symbol() const</div><div class="ttdoc">setter for position of the attacker </div><div class="ttdef"><b>Definition:</b> entities.h:73</div></div>
<div class="ttc" id="classCAttacker_html"><div class="ttname"><a href="classCAttacker.html">CAttacker</a></div><div class="ttdoc">Attacker is one of the main game objects, it can attack and defend itself from other towers...</div><div class="ttdef"><b>Definition:</b> entities.h:60</div></div>
<div class="ttc" id="classCEntrance_html_ae83395782a975cd21708d8113243f3b5"><div class="ttname"><a href="classCEntrance.html#ae83395782a975cd21708d8113243f3b5">CEntrance::getPath</a></div><div class="ttdeci">const list&lt; TCoord &gt; &amp; getPath() const</div><div class="ttdoc">returns list with set of coordinates how to get to the end </div><div class="ttdef"><b>Definition:</b> entities.h:141</div></div>
<div class="ttc" id="classCWall_html"><div class="ttname"><a href="classCWall.html">CWall</a></div><div class="ttdoc">represents the wall ( barricade ) </div><div class="ttdef"><b>Definition:</b> entities.h:103</div></div>
<div class="ttc" id="classCFreeSpace_html_a401595ebeb913f6242a96244e62b8088"><div class="ttname"><a href="classCFreeSpace.html#a401595ebeb913f6242a96244e62b8088">CFreeSpace::print</a></div><div class="ttdeci">virtual void print(ostream &amp;os) const override</div><div class="ttdoc">prints the unoccupied field </div><div class="ttdef"><b>Definition:</b> entities.h:129</div></div>
<div class="ttc" id="structTCoord_html"><div class="ttname"><a href="structTCoord.html">TCoord</a></div><div class="ttdoc">Coordinates, row and col. </div><div class="ttdef"><b>Definition:</b> coords.h:5</div></div>
<div class="ttc" id="classCWarrior_html"><div class="ttname"><a href="classCWarrior.html">CWarrior</a></div><div class="ttdoc">Warrior 33% chance of blocking attack from artillery, 10 % chance of attacking twice. </div><div class="ttdef"><b>Definition:</b> attackers.h:15</div></div>
<div class="ttc" id="classCPath_html_a6185acc40fbabff6fa52c7ac29cb59f2"><div class="ttname"><a href="classCPath.html#a6185acc40fbabff6fa52c7ac29cb59f2">CPath::m_symbol</a></div><div class="ttdeci">char m_symbol</div><div class="ttdoc">prints the path </div><div class="ttdef"><b>Definition:</b> entities.h:119</div></div>
<div class="ttc" id="classCAttacker_html_ab8640dff4a1129c25c59af1f217995fb"><div class="ttname"><a href="classCAttacker.html#ab8640dff4a1129c25c59af1f217995fb">CAttacker::setHp</a></div><div class="ttdeci">int setHp(int hp)</div><div class="ttdoc">getter for health </div><div class="ttdef"><b>Definition:</b> entities.h:83</div></div>
<div class="ttc" id="classCFreeSpace_html_a81540d81cabf08d842b9dafcff39ea07"><div class="ttname"><a href="classCFreeSpace.html#a81540d81cabf08d842b9dafcff39ea07">CFreeSpace::discover</a></div><div class="ttdeci">virtual bool discover() const override</div><div class="ttdoc">Returns whether the field is discoverable ( if it&amp;#39;s either free space or path ) </div><div class="ttdef"><b>Definition:</b> entities.h:127</div></div>
<div class="ttc" id="classCFreeSpace_html"><div class="ttname"><a href="classCFreeSpace.html">CFreeSpace</a></div><div class="ttdoc">represents free space - place, where tower can be inserted, because attackers don&amp;#39;t move through ther...</div><div class="ttdef"><b>Definition:</b> entities.h:124</div></div>
<div class="ttc" id="classCExit_html_a340ed09d7f7cd1b6b0cc639cd3d59415"><div class="ttname"><a href="classCExit.html#a340ed09d7f7cd1b6b0cc639cd3d59415">CExit::m_symbol</a></div><div class="ttdeci">char m_symbol</div><div class="ttdoc">returns col coord </div><div class="ttdef"><b>Definition:</b> entities.h:161</div></div>
<div class="ttc" id="classCEntity_html"><div class="ttname"><a href="classCEntity.html">CEntity</a></div><div class="ttdoc">Abstract class, used to store entities to map. </div><div class="ttdef"><b>Definition:</b> entities.h:17</div></div>
<div class="ttc" id="classCEntity_html_a5bedcc5d44f5b4a65d8abd8bc7766588"><div class="ttname"><a href="classCEntity.html#a5bedcc5d44f5b4a65d8abd8bc7766588">CEntity::isPath</a></div><div class="ttdeci">virtual bool isPath() const</div><div class="ttdoc">Prints the object ( it&amp;#39;s symbol ) </div><div class="ttdef"><b>Definition:</b> entities.h:22</div></div>
<div class="ttc" id="classCTower_html_af75495fa398d62acb73f336de801c402"><div class="ttname"><a href="classCTower.html#af75495fa398d62acb73f336de801c402">CTower::getHp</a></div><div class="ttdeci">int getHp() const</div><div class="ttdoc">getter for position of the tower </div><div class="ttdef"><b>Definition:</b> entities.h:38</div></div>
<div class="ttc" id="classCAttacker_html_a5d1bd8010d5f5628dd4a0bd8a973a3bb"><div class="ttname"><a href="classCAttacker.html#a5d1bd8010d5f5628dd4a0bd8a973a3bb">CAttacker::resetSpeedCnt</a></div><div class="ttdeci">void resetSpeedCnt()</div><div class="ttdoc">getter for speed of the attacker </div><div class="ttdef"><b>Definition:</b> entities.h:75</div></div>
<div class="ttc" id="classCEntity_html_a9ab2d129368e2d3acfec883129439e1c"><div class="ttname"><a href="classCEntity.html#a9ab2d129368e2d3acfec883129439e1c">CEntity::discover</a></div><div class="ttdeci">virtual bool discover() const</div><div class="ttdoc">Returns whether the field is discoverable ( if it&amp;#39;s either free space or path ) </div><div class="ttdef"><b>Definition:</b> entities.h:20</div></div>
<div class="ttc" id="classCEntrance_html_ac48c62ffb0ce4c8d2380513f66534084"><div class="ttname"><a href="classCEntrance.html#ac48c62ffb0ce4c8d2380513f66534084">CEntrance::col</a></div><div class="ttdeci">int col() const</div><div class="ttdoc">returns row coord </div><div class="ttdef"><b>Definition:</b> entities.h:143</div></div>
<div class="ttc" id="classCExit_html_a6326bc9332022fce68f8ec0b847a9166"><div class="ttname"><a href="classCExit.html#a6326bc9332022fce68f8ec0b847a9166">CExit::row</a></div><div class="ttdeci">int row() const</div><div class="ttdoc">returns position </div><div class="ttdef"><b>Definition:</b> entities.h:158</div></div>
<div class="ttc" id="classCTower_html_a19b4b2e8b3bee08db6c8c206a8616653"><div class="ttname"><a href="classCTower.html#a19b4b2e8b3bee08db6c8c206a8616653">CTower::setHp</a></div><div class="ttdeci">int setHp(int hp)</div><div class="ttdoc">getter for health </div><div class="ttdef"><b>Definition:</b> entities.h:39</div></div>
<div class="ttc" id="classCMedic_html"><div class="ttname"><a href="classCMedic.html">CMedic</a></div><div class="ttdoc">MEDIC 20% chance of blocking attack coming from Warrior 33% chance of surviving death and restoring 1...</div><div class="ttdef"><b>Definition:</b> towers.h:12</div></div>
<div class="ttc" id="classCExit_html"><div class="ttname"><a href="classCExit.html">CExit</a></div><div class="ttdoc">represents exit, place where attackers are heading </div><div class="ttdef"><b>Definition:</b> entities.h:152</div></div>
<div class="ttc" id="classCAttacker_html_a84a16391de74e89f0cbba0b134f1cd90"><div class="ttname"><a href="classCAttacker.html#a84a16391de74e89f0cbba0b134f1cd90">CAttacker::speed</a></div><div class="ttdeci">int speed() const</div><div class="ttdoc">getter for symbol of the attacker </div><div class="ttdef"><b>Definition:</b> entities.h:74</div></div>
<div class="ttc" id="classCExit_html_a71b8507caa187b7017a64657f462f2d8"><div class="ttname"><a href="classCExit.html#a71b8507caa187b7017a64657f462f2d8">CExit::position</a></div><div class="ttdeci">TCoord position() const</div><div class="ttdoc">prints the exit </div><div class="ttdef"><b>Definition:</b> entities.h:157</div></div>
<div class="ttc" id="classCAttacker_html_a2fda02cade366510afb500d22143b558"><div class="ttname"><a href="classCAttacker.html#a2fda02cade366510afb500d22143b558">CAttacker::getHp</a></div><div class="ttdeci">int getHp() const</div><div class="ttdoc">getter for attack strength </div><div class="ttdef"><b>Definition:</b> entities.h:82</div></div>
<div class="ttc" id="classCAttacker_html_a6887b2124aa6480e067bbf928a718142"><div class="ttname"><a href="classCAttacker.html#a6887b2124aa6480e067bbf928a718142">CAttacker::print</a></div><div class="ttdeci">virtual void print(ostream &amp;os) const</div><div class="ttdoc">virtual destructor </div><div class="ttdef"><b>Definition:</b> entities.h:65</div></div>
<div class="ttc" id="classCPath_html_ae70ae5cacfe2d0dfe9095e581fe41a9c"><div class="ttname"><a href="classCPath.html#ae70ae5cacfe2d0dfe9095e581fe41a9c">CPath::isPath</a></div><div class="ttdeci">virtual bool isPath() const override</div><div class="ttdoc">Prints the object ( it&amp;#39;s symbol ) </div><div class="ttdef"><b>Definition:</b> entities.h:116</div></div>
<div class="ttc" id="classCTower_html_a276726c55954b273f6b25e6ef749b01d"><div class="ttname"><a href="classCTower.html#a276726c55954b273f6b25e6ef749b01d">CTower::print</a></div><div class="ttdeci">virtual void print(ostream &amp;os) const</div><div class="ttdoc">virtual destructor </div><div class="ttdef"><b>Definition:</b> entities.h:33</div></div>
<div class="ttc" id="classCEntrance_html_a63934cc23035d6a571042561e19dd436"><div class="ttname"><a href="classCEntrance.html#a63934cc23035d6a571042561e19dd436">CEntrance::m_symbol</a></div><div class="ttdeci">char m_symbol</div><div class="ttdoc">returns col coord </div><div class="ttdef"><b>Definition:</b> entities.h:145</div></div>
<div class="ttc" id="classCArtillery_html"><div class="ttname"><a href="classCArtillery.html">CArtillery</a></div><div class="ttdoc">ARTILLERY 25% Chance of larger distance by half 20% Chance of double shot. </div><div class="ttdef"><b>Definition:</b> towers.h:60</div></div>
<div class="ttc" id="classCTower_html_a682eee406b527e183153ca7b9ef74301"><div class="ttname"><a href="classCTower.html#a682eee406b527e183153ca7b9ef74301">CTower::position</a></div><div class="ttdeci">TCoord position() const</div><div class="ttdoc">setter for position of the tower </div><div class="ttdef"><b>Definition:</b> entities.h:37</div></div>
<div class="ttc" id="classCPath_html_abb6e40a54bb901886ed51cd0739dd701"><div class="ttname"><a href="classCPath.html#abb6e40a54bb901886ed51cd0739dd701">CPath::discover</a></div><div class="ttdeci">virtual bool discover() const override</div><div class="ttdoc">Returns whether the field is discoverable ( if it&amp;#39;s either free space or path ) </div><div class="ttdef"><b>Definition:</b> entities.h:115</div></div>
<div class="ttc" id="classCEntrance_html"><div class="ttname"><a href="classCEntrance.html">CEntrance</a></div><div class="ttdoc">represents entrance to the map, positions, where attackers can be inserted </div><div class="ttdef"><b>Definition:</b> entities.h:135</div></div>
<div class="ttc" id="classCExit_html_a235bbec316d6e9a5cfa3eb74e5df051a"><div class="ttname"><a href="classCExit.html#a235bbec316d6e9a5cfa3eb74e5df051a">CExit::print</a></div><div class="ttdeci">virtual void print(ostream &amp;os) const override</div><div class="ttdoc">Exit is discoverable. </div><div class="ttdef"><b>Definition:</b> entities.h:156</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
